﻿using System;

namespace TestProject
{
    /// <summary>
    /// 송장
    /// </summary>
    public class Invoice
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region ID - ID

        /// <summary>
        /// ID
        /// </summary>
        public int ID { get; set; }

        #endregion
        #region 제품명 - ProductName

        /// <summary>
        /// 제품명
        /// </summary>
        public string ProductName { get; set; }

        #endregion
        #region 가격 - Price

        /// <summary>
        /// 가격
        /// </summary>
        public double Price { get; set; }

        #endregion
        #region 주문 일자 - OrderDate

        /// <summary>
        /// 주문 일자
        /// </summary>
        public DateTime OrderDate { get; set; }

        #endregion
        #region 할인율 - Discount

        /// <summary>
        /// 할인율
        /// </summary>
        public double Discount { get; set; }

        #endregion
        #region 긴급 - IsUrgent

        /// <summary>
        /// 긴급 여부
        /// </summary>
        public bool IsUrgent { get; set; }

        #endregion
        #region 송장 상태 - InvoiceStatus

        /// <summary>
        /// 송장 상태
        /// </summary>
        public InvoiceStatus InvoiceStatus { get; set; }

        #endregion
    }
}