﻿namespace TestProject
{
    /// <summary>
    /// 송장 상태
    /// </summary>
    public enum InvoiceStatus
    {
        /// <summary>
        /// 주문
        /// </summary>
        Ordered,

        /// <summary>
        /// 결제
        /// </summary>
        Payed,

        /// <summary>
        /// 적재
        /// </summary>
        Shipped,

        /// <summary>
        /// 배송
        /// </summary>
        Delivered,

        /// <summary>
        /// 무효
        /// </summary>
        Invalidated
    }
}